VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "DrawMemento"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa DrawMemento
Implements Memento
Private x As Integer, y As Integer
Private w As Integer, h As Integer
Private rect As Rectangle
Private visDraw As Drawing
'-----
Private Sub Memento_init(d As Drawing)
  'Zapisz stan prostokąta
  Set visDraw = d
  Set rect = visDraw.rects
  x = rect.x
  y = rect.y
  w = rect.w
  h = rect.h
End Sub
'-----
Private Sub Memento_restore()
  'Odtwórz stan obiektu graficznego
  rect.x = x
  rect.y = y
  rect.h = h
  rect.w = w
  Set visDraw.rects = rect
End Sub
